<?xml version="1.0" encoding="UTF-8" ?>
<?oracle-xsl-mapper
  <!-- SPECIFICATION OF MAP SOURCES AND TARGETS, DO NOT MODIFY. -->
  <mapSources>
    <source type="WSDL">
      <schema location="http://14-316-188.AMIS.local:8001/soa-infra/services/default/PatientAppointmentService/PatientAppointmentService.wsdl"/>
      <rootElement name="AppointmentServiceProcessResponse" namespace="http://stmatthews.hospital.com/patient/AppointmentProcess"/>
    </source>
    <source type="WSDL">
      <schema location="../ReadFileDoctorsAppointmentRequests.wsdl"/>
      <rootElement name="doctorAppointmentRequestRoot" namespace="http://stmatthews.hospital.com/ReadFileDoctorsAppointmentRequests"/>
      <param name="initial.body" />
    </source>
  </mapSources>
  <mapTargets>
    <target type="WSDL">
      <schema location="../LogDoctorsAppointmentRequests.wsdl"/>
      <rootElement name="AppointmentRequestsLog" namespace="http://stmatthews.hospital.com/LogDoctorsAppointmentRequest"/>
    </target>
  </mapTargets>
  <!-- GENERATED BY ORACLE XSL MAPPER 11.1.1.2.0(build 091103.1205.1216) AT [MON DEC 21 08:37:14 CET 2009]. -->
?>
<xsl:stylesheet version="1.0"
                xmlns:client="http://stmatthews.hospital.com/patient/AppointmentProcess"
                xmlns:bpws="http://schemas.xmlsoap.org/ws/2003/03/business-process/"
                xmlns:xpath20="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.Xpath20"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:tns="http://xmlns.oracle.com/pcbpel/adapter/file/DoctorsAppointmentRequestsProcessor/DoctorsAppointmentRequestsProcessor/ReadFileDoctorsAppointmentRequests"
                xmlns:pns1="http://stmatthews.hospital.com/patient/AppointmentProcess/correlationset"
                xmlns:plnk="http://schemas.xmlsoap.org/ws/2003/05/partner-link/"
                xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                xmlns:ora="http://schemas.oracle.com/xpath/extension"
                xmlns:socket="http://www.oracle.com/XSL/Transform/java/oracle.tip.adapter.socket.ProtocolTranslator"
                xmlns:mhdr="http://www.oracle.com/XSL/Transform/java/oracle.tip.mediator.service.common.functions.MediatorExtnFunction"
                xmlns:oraext="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.ExtFunc"
                xmlns:dvm="http://www.oracle.com/XSL/Transform/java/oracle.tip.dvm.LookupValue"
                xmlns:hwf="http://xmlns.oracle.com/bpel/workflow/xpath"
                xmlns:med="http://schemas.oracle.com/mediator/xpath"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ids="http://xmlns.oracle.com/bpel/services/IdentityService/xpath"
                xmlns:ns2="http://xmlns.oracle.com/pcbpel/adapter/file/DoctorsAppointmentRequestsProcessor/DoctorsAppointmentRequestsProcessor/LogDoctorsAppointmentRequests"
                xmlns:xdk="http://schemas.oracle.com/bpel/extension/xpath/function/xdk"
                xmlns:xref="http://www.oracle.com/XSL/Transform/java/oracle.tip.xref.xpath.XRefXPathFunctions"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:ns0="http://stmatthews.hospital.com/Scheduler"
                xmlns:ns1="http://schemas.oracle.com/bpel/extension"
                xmlns:imp1="http://stmatthews.hospital.com/ReadFileDoctorsAppointmentRequests"
                xmlns:ns3="http://stmatthews.hospital.com/LogDoctorsAppointmentRequest"
                xmlns:ldap="http://schemas.oracle.com/xpath/extension/ldap"
                exclude-result-prefixes="xsi xsl client bpws tns pns1 plnk wsdl xsd ns0 ns1 imp1 ns2 ns3 bpws xpath20 ora socket mhdr oraext dvm hwf med ids xdk xref ldap">
  <xsl:param name="initial.body"/>
  <xsl:template match="/">
    <ns3:AppointmentRequestsLog>
      <ns3:AppointmentRequest>
        <ns3:RequestDate>
          <xsl:value-of select="xpath20:current-date()"/>
        </ns3:RequestDate>
        <ns3:DoctorId>
          <xsl:value-of select="concat('Currently No Doctor Id available (header property reference does not retrieve from original (initial) message','!',mhdr:getProperty('initial.property.jca.file.FileName'))"/>
        </ns3:DoctorId>
        <ns3:RequestId>
          <xsl:value-of select="$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:DoctorRequestId"/>
        </ns3:RequestId>
        <ns3:AppointmentIdentifier>
          <xsl:value-of select="/client:AppointmentServiceProcessResponse/client:appointmentIdentifier"/>
        </ns3:AppointmentIdentifier>
        <ns3:PatientName>
          <xsl:value-of select="concat($initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:FirstName,' ',$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:LastName)"/>
        </ns3:PatientName>
        <ns3:Gender>
          <xsl:value-of select="$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:Gender"/>
        </ns3:Gender>
        <ns3:Birthdate>
          <xsl:value-of select="$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:Birthdate"/>
        </ns3:Birthdate>
        <ns3:Priority>
          <xsl:value-of select="$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:Priority"/>
        </ns3:Priority>
        <ns3:AppointmentType>
          <xsl:value-of select="$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:AppointmentType"/>
        </ns3:AppointmentType>
        <ns3:LabTests>
          <xsl:value-of select="$initial.body/imp1:doctorAppointmentRequestRoot/imp1:doctorAppointmentRequest/imp1:LabTests"/>
        </ns3:LabTests>
      </ns3:AppointmentRequest>
    </ns3:AppointmentRequestsLog>
  </xsl:template>
</xsl:stylesheet>
